TEMPLATE = app
QT      += network
QT      += widgets
qtHaveModule(printsupport): QT += printsupport

CONFIG += resources
win32 : CONFIG += windows
unix : CONFIG += x11
INCLUDEPATH += . ./qtfindreplacedialog

unix : data.path = /usr/local/share/kemboss/data
unix : data.files = ../data/*
unix : default_settings.path = /etc/kemboss/default_settings
unix : default_settings.files = ../default_settings/*
unix : target.path = /usr/local/bin

CONFIG(release, debug|release){
    message("Building in release mode")
    DEFINES += QT_NO_DEBUG_OUTPUT
    OBJECTS_DIR = ./release
    MOC_DIR = ./release
    RCC_DIR = ./release
    UI_DIR = ./release
    unix : TARGET = ../kemboss
    win32 : TARGET = ../../../kemboss
} else {
    message("Building in debug mode")
    OBJECTS_DIR = ./debug
    MOC_DIR = ./debug
    RCC_DIR = ./debug
    UI_DIR = ./debug
    unix : TARGET = ../kemboss_debug
    win32 : TARGET = ../../../kemboss_debug
}

include(./forms/forms.pro)
include(./forms/associated_qualifiers/associated_qualifiers_forms.pro)
include(./forms/emboss/emboss_forms.pro)
include(./forms/phylipnew/phylipnew_forms.pro)
include(./qtfindreplacedialog/dialogs.pro)
HEADERS += main.h \
           programWindows.h \
           configDlg.h \
           kemboss.h \
           programWindowClass.h \
           about.h \
           programProgress.h \
           settings.h  \
           associated_qualifiers.h \
           phylipProgramWindows.h \
           kembossWindowClass.h \
           syntax_highlighter.h \
           dbDlg.h \
           runEmbossApp.h \
           runEmbossAppOnServer.h \
           runEmbossAppLocal.h \
           shared.h \
           changePassword.h \
           certificateinfo.h \
           loadFileThread.h

SOURCES += programWindows.cpp \
           main.cpp \
           configDlg.cpp \
           kemboss.cpp \
           programWindowClass.cpp \
           about.cpp \
           programProgress.cpp \
           settings.cpp  \
           associated_qualifiers.cpp \
           phylipProgramWindows.cpp \
           kembossWindowClass.cpp \
           syntax_highlighter.cpp \
           dbDlg.cpp \
           runEmbossApp.cpp \
           runEmbossAppOnServer.cpp \
           runEmbossAppLocal.cpp \
           shared.cpp \
           changePassword.cpp \
           certificateinfo.cpp \
           loadFileThread.cpp

win32 : RESOURCES += actions_win.qrc
win32 : RC_FILE = kemboss.rc
unix : RESOURCES += actions_X11.qrc
unix : INSTALLS += default_settings \
                   data \
                   target

ICON = ./shared_OSX/kemboss.icns

OTHER_FILES += \
    kemboss.spec \
    ../distribution/versions \
    ../distribution/todo \
    ../distribution/data/programs_list \
    ../distribution/data/substitution_matrices \
    ../distribution/data/sequence_formats \
    ../distribution/data/restriction_formats \
    ../distribution/data/report_formats \
    ../distribution/data/programs_tree_phylipnew \
    ../distribution/data/programs_tree \
    ../distribution/data/phylipnew_programs_list \
    ../distribution/data/graph_types \
    ../distribution/data/genetic_codes \
    ../distribution/data/colours \
    ../distribution/data/codon_usage_files \
    ../distribution/data/alignment_formats \
    ../distribution/copyright \
    ../distribution/install_kemboss_server \
    ../distribution/install_kemboss \
    ../distribution/compile_kemboss_server \
    ../distribution/compile_kemboss \
    ../distribution/allowed_emboss_programs
