/***************************************************************************
 *                                                                         *
 *   kemboss - Graphical user interface for EMBOSS                         *
 *                                                                         *
 *   Copyright (C) 2007-2020 Tobias Schwarz (mail@tobias-schwarz.net)      *
 *                                                                         *
 *   Based on the EMBOSS.kaptn scripts by Thomas Siegmund                  *
 *                                                                         *
 *   This program is free software; you can redistribute and/or modify     *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version, and provided that the above       *
 *   copyright and permission notice is included with all distributed      *
 *   copies of this or derived software.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 **************************************************************************/

#ifndef KEMBOSSSERVERADMIN_H
#define KEMBOSSSERVERADMIN_H

#include <QString>

    QString configFile;
    void receiveCommand();
    int enterNewUser();
    // Stores the user information in the SQL database and returns the unique user id
    bool checkInputFileCache();
    // Removes input files that are not stored in the SQL database and removes database input file entries where the files are no longer present
    bool printUserList();
    // Print a list of the kemboss users and their email adresses
    bool deleteOldLogEntries();
    // Deletes log entries older than a certain number of days
    bool deleteOldInputFiles();
    // Deletes cached input files that were not accessed for x days
    bool showStatistics();
    // Display statistics about the EMBOSS programs that were executed on the server
    void displayVersion();
    // Display version information for kembossd

#endif // KEMBOSSSERVERADMIN_H
